import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows checking if app repair was cancelled (paused).
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Was app repair cancelled.
 */
export declare const useWasAppRepairCancelled: ({ appId, appBranchId }: AppBranchProps) => boolean;
//# sourceMappingURL=was-app-repair-cancelled.d.ts.map