import { AppBranchProps } from './app-branch-props';
/**
 * Marks the date when the app was last installed.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 */
export declare const markAppInstallDate: ({ appId, appBranchId }: AppBranchProps) => void;
/**
 * Gets the date when the app was last installed.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Date when the app was last installed.
 */
export declare const getAppInstallDate: ({ appId, appBranchId }: AppBranchProps) => Date | undefined;
//# sourceMappingURL=app-installed-date.d.ts.map