import { AppProps } from './app-props';
/**
 * Hook that retrieves app presentation, including articles, urls, media, etc.
 * @param appId App ID.
 * @returns App presentation.
 */
export declare const useAppPresentation: ({ appId }: AppProps) => import("patchkit_api_foundation").AppsCatalogAppPresentation;
/**
 * Hook that revalidates app presentation.
 * @param appId App ID.
 * @returns Revalidation function.
 */
export declare const useRevalidateAppPresentation: ({ appId }: AppProps) => () => Promise<any>;
//# sourceMappingURL=app-presentation.d.ts.map