import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows cancelling ongoing install task.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Cancel ongoing install task function.
 */
export declare const useCancelOngoingInstallTask: ({ appId, appBranchId }: AppBranchProps) => () => Promise<void>;
//# sourceMappingURL=cancel-ongoing-install-task.d.ts.map