import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows cancelling ongoing repair task.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Cancel ongoing repair task function.
 */
export declare const useCancelOngoingRepairTask: ({ appId, appBranchId }: AppBranchProps) => () => Promise<void>;
//# sourceMappingURL=cancel-ongoing-repair-task.d.ts.map