import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows cancelling ongoing update task.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Cancel ongoing update task function.
 */
export declare const useCancelOngoingUpdateTask: ({ appId, appBranchId }: AppBranchProps) => () => Promise<void>;
//# sourceMappingURL=cancel-ongoing-update-task.d.ts.map