import { AppBranchProps } from '../app-branch-props';
interface Props extends AppBranchProps {
    path?: string;
}
/**
 * Hook that adds install task to the queue.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @param path Path to install to.
 * @returns Add install task to queue function.
 */
export declare const useAddInstallToQueue: ({ appBranchId, appId, path }: Props) => () => void;
export {};
//# sourceMappingURL=add-install-to-queue.d.ts.map