import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that checks if there is an install task for app in the queue.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns True if intall task is in queue.
 */
export declare const useIsInstallInQueue: ({ appId, appBranchId }: AppBranchProps) => boolean;
//# sourceMappingURL=is-install-in-queue.d.ts.map