import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that checks if there is an update task for app in the queue.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns True if update task is in queue.
 */
export declare const useIsUpdateInQueue: ({ appId, appBranchId }: AppBranchProps) => boolean;
//# sourceMappingURL=is-update-in-queue.d.ts.map