import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that returns last install task state that has ended with error (Cancelling task is an error).
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Last install task state that has ended with error.
 */
export declare const useLastInstallTaskState: ({ appId, appBranchId }: AppBranchProps) => import("patchkit-patcher2_foundation").AppBranchLastInstallTaskState | undefined;
//# sourceMappingURL=last-install-task-state.d.ts.map