import { AppBranchInstallTaskState } from 'patchkit-generic-patcher2_foundation';
import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows getting ongoing install task state. You can retrieve information about download speed, progress, package size etc.
 * Should be only used when install is in progress.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Ongoing install task state.
 */
export declare const useOngoingInstallTaskState: ({ appId, appBranchId }: AppBranchProps) => AppBranchInstallTaskState | undefined;
//# sourceMappingURL=ongoing-install-task-state.d.ts.map