import { AppBranchRepairTaskState } from 'patchkit-generic-patcher2_foundation';
import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows getting ongoing repair task state. You can retrieve information about download speed, progress, package size etc.
 * Should be only used when repair is in progress.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Ongoing repair task state.
 */
export declare const useOngoingRepairTaskState: ({ appId, appBranchId }: AppBranchProps) => AppBranchRepairTaskState | undefined;
//# sourceMappingURL=ongoing-repair-task-state.d.ts.map