import { AppBranchUninstallTaskState } from 'patchkit-generic-patcher2_foundation';
import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows getting ongoing uninstall task state.
 * Should be used only when uninstall task is in progress.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Ongoing uninstall task state.
 */
export declare const useOngoingUninstallTaskState: ({ appId, appBranchId }: AppBranchProps) => {
    currentTaskState: AppBranchUninstallTaskState | undefined;
};
//# sourceMappingURL=ongoing-uninstall-task-state.d.ts.map