import { AppBranchUpdateTaskState } from 'patchkit-generic-patcher2_foundation';
import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows getting ongoing update task state. You can retrieve information about download speed, progress, package size etc.
 * Should be only used when update is in progress.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Ongoing update task state.
 */
export declare const useOngoingUpdateTaskState: ({ appId, appBranchId }: AppBranchProps) => AppBranchUpdateTaskState | undefined;
//# sourceMappingURL=ongoing-update-task-state.d.ts.map