import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows resuming cancelled install task.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Resume cancelled install task function.
 */
export declare const useResumeCancelledInstallTask: ({ appId, appBranchId }: AppBranchProps) => () => Promise<void>;
//# sourceMappingURL=resume-cancelled-install-task.d.ts.map