import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows resuming cancelled repair task.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Resume cancelled repair task function.
 */
export declare const useResumeCancelledRepairTask: ({ appId, appBranchId }: AppBranchProps) => () => Promise<void>;
//# sourceMappingURL=resume-cancelled-repair-task.d.ts.map