import { AppBranchProps } from './app-branch-props';
interface Props extends AppBranchProps {
    overridePath?: string;
}
/**
 * Hook to show a path select dialog.
 * @param appId app id
 * @param appBranchId app branch id
 * @returns a function that shows the path select dialog with optional override path
 */
export declare const useShowPathSelect: ({ appId, appBranchId }: Props) => (overridePath?: string) => Promise<string | undefined>;
export {};
//# sourceMappingURL=show-path-select.d.ts.map