import { AppBranchProps } from '../app-branch-props';
/**
 * Hook for launching an app.
 * @param appBranchId App branch ID.
 * @param appId App ID.
 * @returns Launch app function.
 */
export declare const useLaunchApp: ({ appBranchId, appId }: AppBranchProps) => (commandLineArgs?: string) => Promise<void>;
//# sourceMappingURL=launch-app.d.ts.map