import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows moving app. It updates launcher state with optimistic information about moving and starts move task.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Move app function.
 */
export declare const useMoveApp: ({ appBranchId, appId }: AppBranchProps) => (appBranchNewDirPath: string) => Promise<void>;
//# sourceMappingURL=move-app.d.ts.map