import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows uninstalling app. It updates launcher state with optimistic information about uninstallation and starts uninstall task.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Uninstall app function.
 */
export declare const useUninstallApp: ({ appBranchId, appId }: AppBranchProps) => () => Promise<void>;
//# sourceMappingURL=uninstall-app.d.ts.map