import { ComponentStory } from '@storybook/react';

import { AppBackground } from './app-background';

export default {
  title: 'AppBackground',
  component: AppBackground,
};

const Template: ComponentStory<typeof AppBackground> = (args) => <AppBackground {...args} />;

export const Example = Template.bind({});
Example.args = {};

export const WithImage = Template.bind({});
WithImage.args = {
  backgroundImageUrl:
    'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.justpushstart.com%2Fwp-content%2Fuploads%2F2014%2F01%2FFree-Dota-2-Wallpaper.jpg&f=1&nofb=1',
};
