import { ComponentStory } from '@storybook/react';

import { DownloadIcon } from 'assets/icons';

import { AppPageButton } from './app-page-button';

export default {
  title: 'AppPageButton',
  component: AppPageButton,
};

const Template: ComponentStory<typeof AppPageButton> = (args) => <AppPageButton {...args} />;

export const Example = Template.bind({});
Example.args = {
  children: <DownloadIcon />,
  onClick: () => ({}),
};

export const ExampleWithText = Template.bind({});
ExampleWithText.args = {
  children: <p>Releases</p>,
  onClick: () => ({}),
};
