import { ComponentStory } from '@storybook/react';

import { RepairIcon } from 'assets/icons';

import { AppSettingsButton } from './app-settings-button';

export default {
  title: 'AppSettingsButton',
  component: AppSettingsButton,
};

const Template: ComponentStory<typeof AppSettingsButton> = (args) => (
  <AppSettingsButton {...args} />
);

export const Example = Template.bind({});
Example.args = {
  onClick: () => ({}),
  text: 'Repair',
  icon: <RepairIcon />,
};
