import { ComponentStory } from '@storybook/react';

import { ArticleTile } from './article-tile';

export default {
  title: 'ArticleTile',
  component: ArticleTile,
};

const Template: ComponentStory<typeof ArticleTile> = (args) => <ArticleTile {...args} />;

export const Example = Template.bind({});
Example.args = {
  title: 'Article Title',
  subtitle: 'Article Description',
  imageUrl:
    'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.justpushstart.com%2Fwp-content%2Fuploads%2F2014%2F01%2FFree-Dota-2-Wallpaper.jpg&f=1&nofb=1',
  linkUrl: 'https://www.google.com',
};
