import { ComponentStory } from '@storybook/react';

import { ExitIcon } from 'assets/icons';

import { Button } from './button';

export default {
  title: 'Common/Button',
  component: Button,
};

const Template: ComponentStory<typeof Button> = (args) => <Button {...args} />;

export const Example = Template.bind({});
Example.args = {
  children: <ExitIcon />,
};
