import { ComponentStory } from '@storybook/react';

import { Dropdown } from './dropdown';

export default {
  title: 'Common/Dropdown',
  component: Dropdown,
};

const Template: ComponentStory<typeof Dropdown> = (args) => <Dropdown {...args} />;

export const Example = Template.bind({});
Example.args = {
  children: [<p key="items1">item 1</p>, <p key="items2">item 2</p>, <p key="items3">item 3</p>],
};
