import { ComponentStory } from '@storybook/react';

import { SmallProgressBar } from './small-progress-bar';

export default {
  title: 'Common/SmallProgressBar',
  component: SmallProgressBar,
};

const Template: ComponentStory<typeof SmallProgressBar> = (args) => <SmallProgressBar {...args} />;

export const Example = Template.bind({});
Example.args = {
  progressPercentage: 50,
};

export const UndefinedPercentage = Template.bind({});
UndefinedPercentage.args = {};
