import { ComponentStory } from '@storybook/react';
import { COLORS } from 'constant';

import { PlayIcon } from 'assets/icons';

import { TaskButton } from './task-button';

export default {
  title: 'Common/TaskButton',
  component: TaskButton,
};

const Template: ComponentStory<typeof TaskButton> = (args) => <TaskButton {...args} />;

export const Example = Template.bind({});
Example.args = {
  icon: <PlayIcon />,
  text: 'Play',
  onClick: () => ({}),
  backgroundColor: COLORS.BLUE,
  hoverBackgroundColor: COLORS.LIGHT_BLUE,
};
