import { ComponentStory } from '@storybook/react';

import { LightBox } from './lightbox';

export default {
  title: 'Lightbox',
  component: LightBox,
};

const Template: ComponentStory<typeof LightBox> = (args) => <LightBox {...args} />;

export const Default = Template.bind({});
Default.args = {
  imageUrl: 'https://dummyimage.com/600x400/000/fff',
  onClose: () => ({}),
};

export const WithVideo = Template.bind({});
WithVideo.args = {
  videoUrl: 'https://www.youtube.com/watch?v=9bZkp7q19f0',
  onClose: () => ({}),
};
