import { ComponentStory } from '@storybook/react';

import { MediaTile } from './media-tile';

export default {
  title: 'MediaTile',
  component: MediaTile,
};

const Template: ComponentStory<typeof MediaTile> = (args) => <MediaTile {...args} />;

export const Example = Template.bind({});
Example.args = {
  backgroundImg:
    'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.justpushstart.com%2Fwp-content%2Fuploads%2F2014%2F01%2FFree-Dota-2-Wallpaper.jpg&f=1&nofb=1',
};
