import { COLORS } from 'constant';

import { RepairIcon } from 'assets/icons';
import { TaskButton } from 'components/common/task-button';

interface Props {
  onClick: () => void;
}

export const RepairAppButton = ({ onClick }: Props) => {
  return (
    <TaskButton
      onClick={onClick}
      icon={<RepairIcon />}
      text="Repair"
      backgroundColor={COLORS.ORANGE}
      hoverBackgroundColor={COLORS.HOVER_ORANGE}
      iconWithFill
    />
  );
};
