import { COLORS } from 'constant';

import { DownloadIcon } from 'assets/icons';
import { TaskButton } from 'components/common/task-button';

interface Props {
  onClick: () => void;
}

export const UpdateAppButton = ({ onClick }: Props) => {
  return (
    <TaskButton
      onClick={onClick}
      icon={<DownloadIcon />}
      text="Update"
      backgroundColor={COLORS.BLUE}
      hoverBackgroundColor={COLORS.HOVER_BLUE}
    />
  );
};
