import { ComponentStory } from '@storybook/react';

import { VersionLabelButton } from './version-label-button';

export default {
  title: 'VersionLabelButton',
  component: VersionLabelButton,
};

const Template: ComponentStory<typeof VersionLabelButton> = (args) => (
  <VersionLabelButton {...args} />
);

export const Example = Template.bind({});
Example.args = {
  text: '1.0.0',
  onClick: () => ({}),
};
