import { COLORS } from 'constant';

export type BasicSizes = 'sm' | 'md' | 'lg';

export type AllSizes = BasicSizes | 'xs' | 'xl';

export type Weight = 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800;

export type ColorsType = keyof typeof COLORS;

export type ColorsValueType = typeof COLORS[ColorsType];
