import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that checks if app can be uninstalled.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns True if app can be uninstalled.
 */
export declare const useCanUninstall: ({ appId, appBranchId }: AppBranchProps) => boolean;
//# sourceMappingURL=can-uninstall.d.ts.map