import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that returns whether app is being uninstalled.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Whether app is being uninstalled.
 */
export declare const useIsAppBeingUninstalled: ({ appId, appBranchId }: AppBranchProps) => boolean;
//# sourceMappingURL=is-app-being-uninstalled.d.ts.map