import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows checking if app install was cancelled (paused).
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Was app install cancelled.
 */
export declare const useWasAppInstallCancelled: ({ appId, appBranchId }: AppBranchProps) => boolean;
//# sourceMappingURL=was-app-install-cancelled.d.ts.map