import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows checking if app update was cancelled (paused).
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Was app update cancelled.
 */
export declare const useWasAppUpdateCancelled: ({ appId, appBranchId }: AppBranchProps) => boolean;
//# sourceMappingURL=was-app-update-cancelled.d.ts.map