import { AppBranchProps } from './app-branch-props';
/**
 * Marks the date when the app was last played.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 */
export declare const markAppPlayDate: ({ appId, appBranchId }: AppBranchProps) => void;
/**
 * Gets the date when the app was last played.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Date when the app was last played.
 */
export declare const getAppPlayDate: ({ appId, appBranchId }: AppBranchProps) => Date | undefined;
//# sourceMappingURL=app-played-date.d.ts.map