import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that checks if there is an repair task for app in the queue.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns True if repair task is in queue.
 */
export declare const useIsRepairInQueue: ({ appId, appBranchId }: AppBranchProps) => boolean;
//# sourceMappingURL=is-repair-in-queue.d.ts.map