export * from './app-branch-versions-presentations';
export * from './app-download-date';
export * from './app-info/app-install-package-size';
export * from './app-info/app-update-package-size';
export * from './app-info/app-version';
export * from './app-info/can-install';
export * from './app-info/can-uninstall';
export * from './app-info/does-app-need-repair';
export * from './app-info/is-app-being-installed';
export * from './app-info/is-app-being-moved';
export * from './app-info/is-app-being-repaired';
export * from './app-info/is-app-being-uninstalled';
export * from './app-info/is-app-being-updated';
export * from './app-info/is-app-installed';
export * from './app-info/is-app-new-version-available';
export * from './app-info/is-app-started';
export * from './app-info/latest-version-id';
export * from './app-info/was-app-install-cancelled';
export * from './app-info/was-app-repair-cancelled';
export * from './app-info/was-app-update-cancelled';
export * from './app-installed-date';
export * from './app-played-date';
export * from './app-presentation';
export * from './app-state';
export * from './apps';
export * from './cancel-tasks/cancel-ongoing-install-task';
export * from './cancel-tasks/cancel-ongoing-repair-task';
export * from './cancel-tasks/cancel-ongoing-update-task';
export * from './download-queue/add-install-to-queue';
export * from './download-queue/add-repair-to-queue';
export * from './download-queue/add-update-to-queue';
export * from './download-queue/is-install-in-queue';
export * from './download-queue/is-repair-in-queue';
export * from './download-queue/is-update-in-queue';
export * from './download-queue/queue-context';
export * from './handle-unauthorized-access-to-app-dir-async';
export * from './last-tasks-state/last-install-task-state';
export * from './last-tasks-state/last-repair-task-state';
export * from './last-tasks-state/last-update-task-state';
export * from './launcher-state';
export * from './launcher-update-check';
export * from './ongoing-tasks/ongoing-install-task-state';
export * from './ongoing-tasks/ongoing-move-task-state';
export * from './ongoing-tasks/ongoing-repair-task-state';
export * from './ongoing-tasks/ongoing-uninstall-task-state';
export * from './ongoing-tasks/ongoing-update-task-state';
export * from './resume-tasks/resume-cancelled-install-task';
export * from './resume-tasks/resume-cancelled-repair-task';
export * from './resume-tasks/resume-cancelled-update-task';
export * from './show-path-select';
export * from './tasks/install-app';
export * from './tasks/launch-app';
export * from './tasks/move-app';
export * from './tasks/repair-app';
export * from './tasks/uninstall-app';
export * from './tasks/update-app';
export * from './window-functions/close-window';
export * from './window-functions/hide-window';
export * from './window-functions/maximize-window';
export * from './window-functions/minimize-window';
//# sourceMappingURL=index.d.ts.map