import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that returns last repair task state that has ended with error (Cancelling task is an error).
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Last repair task state that has ended with error.
 */
export declare const useLastRepairTaskState: ({ appId, appBranchId }: AppBranchProps) => import("patchkit-patcher2_foundation").AppBranchLastRepairTaskState | undefined;
//# sourceMappingURL=last-repair-task-state.d.ts.map