import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that returns last update task state that has ended with error (Cancelling task is an error).
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Last update task state that has ended with error.
 */
export declare const useLastUpdateTaskState: ({ appId, appBranchId }: AppBranchProps) => import("patchkit-patcher2_foundation").AppBranchLastUpdateTaskState | undefined;
//# sourceMappingURL=last-update-task-state.d.ts.map