import { AppBranchMoveTaskState } from 'patchkit-generic-patcher2_foundation';
import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows getting ongoing move task state.
 * Should be used only when move task is in progress.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Ongoing move task state.
 */
export declare const useOngoingMoveAppTaskState: ({ appId, appBranchId }: AppBranchProps) => AppBranchMoveTaskState | undefined;
//# sourceMappingURL=ongoing-move-task-state.d.ts.map