import { AppBranchProps } from '../app-branch-props';
/**
 * Hook that allows resuming cancelled update task.
 * @param appId App ID.
 * @param appBranchId App branch ID.
 * @returns Resume cancelled update task function.
 */
export declare const useResumeCancelledUpdateTask: ({ appId, appBranchId }: AppBranchProps) => () => Promise<void>;
//# sourceMappingURL=resume-cancelled-update-task.d.ts.map