import { ComponentStory } from '@storybook/react';

import { AppPathInput } from './app-path-input';

export default {
  title: 'AppPathInput',
  component: AppPathInput,
};

const Template: ComponentStory<typeof AppPathInput> = (args) => <AppPathInput {...args} />;

export const Example = Template.bind({});
Example.args = {
  onClick: () => ({}),
  path: 'C:\\Program Files (x86)\\Steam\\steamapps\\common\\The Binding of Isaac Rebirth',
};
