import { COLORS } from 'constant';

import { PlaySecondaryIcon } from 'assets/icons';
import { TaskButton } from 'components/common/task-button';

interface Props {
  onClick: () => void;
}

export const LaunchAppButton = ({ onClick }: Props) => {
  return (
    <TaskButton
      onClick={onClick}
      icon={<PlaySecondaryIcon />}
      text="Play"
      backgroundColor={COLORS.GREEN}
      hoverBackgroundColor={COLORS.HOVER_GREEN}
      iconWithFill
    />
  );
};
