import { ComponentStory } from '@storybook/react';

import { Card } from 'components/common/card';

import { LibraryGrid } from './library-grid';

export default {
  title: 'LibraryGrid',
  component: LibraryGrid,
};

const Template: ComponentStory<typeof LibraryGrid> = (args) => <LibraryGrid {...args} />;

export const Example = Template.bind({});
Example.args = {
  children: [
    {
      title: 'Dota',
      imageUrl:
        'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.justpushstart.com%2Fwp-content%2Fuploads%2F2014%2F01%2FFree-Dota-2-Wallpaper.jpg&f=1&nofb=1',
      onClick: () => {
        return;
      },
    },
    {
      title: 'Dota',
      imageUrl:
        'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.justpushstart.com%2Fwp-content%2Fuploads%2F2014%2F01%2FFree-Dota-2-Wallpaper.jpg&f=1&nofb=1',
      onClick: () => {
        return;
      },
    },
    {
      title: 'Dota',
      imageUrl:
        'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.justpushstart.com%2Fwp-content%2Fuploads%2F2014%2F01%2FFree-Dota-2-Wallpaper.jpg&f=1&nofb=1',
      onClick: () => {
        return;
      },
    },
    {
      title: 'Dota',
      imageUrl:
        'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.justpushstart.com%2Fwp-content%2Fuploads%2F2014%2F01%2FFree-Dota-2-Wallpaper.jpg&f=1&nofb=1',
      onClick: () => {
        return;
      },
    },
    {
      title: 'Dota',
      imageUrl:
        'https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.justpushstart.com%2Fwp-content%2Fuploads%2F2014%2F01%2FFree-Dota-2-Wallpaper.jpg&f=1&nofb=1',
      onClick: () => {
        return;
      },
    },
  ].map((item) => (
    <Card key={item.title} title={item.title} imageUrl={item.imageUrl} onClick={item.onClick} />
  )),
};
