import { ComponentStory } from '@storybook/react';
import { COLORS } from 'constant';

import { ExitIcon } from 'assets/icons';

import { TitleBarIconButton } from './title-bar-icon-button';

export default {
  title: 'TitleBarIconButton',
  component: TitleBarIconButton,
};

const Template: ComponentStory<typeof TitleBarIconButton> = (args) => (
  <TitleBarIconButton {...args} />
);

export const Example = Template.bind({});
Example.args = {
  icon: <ExitIcon />,
  onClick: () => ({}),
  hoveredBackgroundColor: COLORS.RED,
};
